.grid-item-card {
    padding-bottom: 5px;
    position: relative;
    background: var(--white);
    overflow: visible;
    /* بدل hidden */
    transition: .4s ease;
    cursor: pointer;
    transition: max-height .35s ease, box-shadow .5s ease-in, opacity .3s ease, transform .3s ease;
}

.grid-item-card:hover {
    box-shadow: 0 10px 30px rgba(0, 0, 0, .08);
    max-height: fit-content;
}

/* IMAGE */
.image-box {
    position: relative;
    /* height: 240px; */
    width: 95%;
    margin-inline: auto;
    aspect-ratio: 1/1;
    overflow: hidden;
}

.image-box img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0%;
    left: 0%;
    inset: 0;
    transition: opacity .35s ease, transform .5s ease-in;
}

.image-box .alter-image-box {
    opacity: 0;
}

/* .image-box:hover .main-image-box {
    opacity: 0;
} */

/* .image-box:hover .alter-image-box {
    opacity: 1;
    transform: scale(1.1);
} */


/* DISCOUNT */
.discount {
    position: absolute;
    top: 10px;
    left: 5px;
    background: var(--secondaryColor);
    color: var(--white);
    font-size: 13px;
    padding: 4px 8px;
    z-index: 1;
}

/* INFO */
.info {
    padding: 16px 4px;
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.info h3 {
    font-size: 15px;
    font-weight: 600;
    color: var(--text);
}

.category {
    font-size: 13px;
    color: var(--text-1);
    margin-bottom: 8px;
}

/* PRICE */
.price {
    display: flex;
    gap: 8px;
    align-items: center;
    justify-content: center;
    direction: rtl;

}

.new {
    direction: rtl;
    color: var(--secondaryColor);
    font-weight: 700;
}

.old {
    text-decoration: line-through;
    font-size: 15px;
    color: var(--text-1);
    direction: rtl;
}

/* DETAILS (HIDDEN) */
.details {
    font-size: 15px;
    color: var(--text-1);
    margin-top: 0px;
    line-height: 1.6;
    max-height: 0;
    overflow: hidden;
    transition: .4s ease;
    text-align: start;
    padding-inline: 4px;
}

/* COMPARE */
.compare {
    border: none;
    border-block: 1px solid var(--text-1);
    color: var(--text-1);
    width: 95%;
    padding: 0px;
    text-align: end;
    align-content: end;
    font-size: 18px;
    opacity: 0;
    max-height: 0;
    transition: .4s ease;
    background: var(--white);
    cursor: pointer;
}

/* ACTIONS */
.actions {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 8px;
    padding: 0px;
    opacity: 0;
    transition: .4s ease;
    max-height: 0;
}

.icon {
    width: 40px;
    border: none;
    background: var(--white);
    color: var(--text-3);
    cursor: pointer;
    font-size: 18px;

}

.wishlist-icon {
    padding: 3px;
}

.activeWishlist {
    background-color: var(--secondaryColor);
}

.cart {
    flex: 1;
    background: var(--secondaryColor);
    border: none;
    color: var(--white);
    border-radius: 20px;
    font-size: 13px;
    cursor: pointer;
    width: 40px;
    height: 40px;
    /* padding: 10px 20px; */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 12px;
    overflow: hidden;
}

.cart-btn-icon {
    transform: translateY(-200%);
    opacity: 0;
    transition: .4s ease;

}

.cart-btn-text {
    transform: translateY(50%);
    opacity: 1;
    transition: .4s ease;

}

.cart:hover .cart-btn-icon {
    transform: translateY(-110%);
    opacity: 1;

}

.cart:hover .cart-btn-text {
    transform: translateY(300%);
    opacity: 0;
}

/* HOVER EFFECTS */
.grid-item-card:hover .details {
    max-height: 100px;
    margin-top: 10px;
}

.grid-item-card:hover .compare {
    opacity: 1;
    max-height: fit-content;
    padding: 5px;
}

.grid-item-card:hover .actions {
    opacity: 1;
    max-height: fit-content;
    padding: 12px 0px;

}

@media (max-width:1024px) {
    .details {
        max-height: 100px;
        margin-top: 10px;
    }

    .compare {
        opacity: 1;
        max-height: fit-content;
        padding: 5px;
    }

    .actions {
        opacity: 1;
        max-height: fit-content;
        padding: 12px 0px;

    }
}